#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define kf5_version_min 5.30.0

%define rel 1

# ufw not available on Mageia
%bcond_with ufw

Name:           plasma-firewall
Version: 5.27.5
Release:        %mkrel %{rel}
Summary:        Control Panel for your system firewall
Group:          Graphical desktop/KDE
License:        BSD
URL:            https://invent.kde.org/plasma/%{name}
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Qml)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5X11Extras)

BuildRequires:  cmake(KF5CoreAddons) >= %{kf5_version_min}
BuildRequires:  cmake(KF5KCMUtils) >= %{kf5_version_min}
BuildRequires:  cmake(KF5I18n) >= %{kf5_version_min}
BuildRequires:  cmake(KF5Plasma) >= %{kf5_version_min}
BuildRequires:  cmake(KF5PlasmaQuick) >= %{kf5_version_min}
BuildRequires:  cmake(KF5Declarative) >= %{kf5_version_min}

# Owns KCM directories
Requires:       kcmutils >= %{kf5_version_min}

Requires:       %{name}-backend = %{version}-%{release}

%description
Control Panel for your system firewall.

%files -f %{name}.lang
%license LICENSES/*.txt
%{_kf5_libdir}/libkcm_firewall_core.so
%{_kf5_datadir}/kpackage/kcms/kcm_firewall
%{_kf5_metainfodir}/org.kde.plasma.firewall.metainfo.xml
%{_qt5_plugindir}/plasma/kcms/systemsettings/kcm_firewall.so
%{_kf5_applicationsdir}/kcm_firewall.desktop

#--------------------------------------------------------------------

%package firewalld
Summary:        FirewallD backend for Plasma Firewall
Group:          Graphical desktop/KDE
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-backend = %{version}-%{release}
Requires:       firewalld

%description firewalld
This package provides the backend code for Plasma Firewall
to interface with FirewallD.

%files firewalld
%{_kf5_plugindir}/plasma_firewall/firewalldbackend.so

#--------------------------------------------------------------------

%if %{with ufw}
%package ufw
Summary:        UFW backend for Plasma Firewall
Group:          Graphical desktop/KDE
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-backend = %{version}-%{release}
Requires:       ufw
# For dbus directories
Requires:       dbus
# For polkit directories
Requires:       polkit

%description ufw
This package provides the backend code for Plasma Firewall
to interface with the Uncomplicated Firewall (UFW).

%files ufw
%{_kf5_plugindir}/plasma_firewall/ufwbackend.so
%{_libexecdir}/kde_ufw_plugin_helper.py
%{_libexecdir}/kauth/kde_ufw_plugin_helper
%{_kf5_datadir}/dbus-1/system-services/org.kde.ufw.service
%{_kf5_datadir}/dbus-1/system.d/org.kde.ufw.conf
%dir %{_kf5_datadir}/kcm_ufw
%{_kf5_datadir}/kcm_ufw/defaults
%{_kf5_datadir}/polkit-1/actions/org.kde.ufw.policy
%endif

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name --with-html

%if ! %{with ufw}
# Delete ufw stuff when we don't need it
rm -rfv %{buildroot}%{_kf5_plugindir}/plasma_firewall/ufwbackend.so
rm -rfv %{buildroot}%{_libexecdir}/kde_ufw_plugin_helper.py
rm -rfv %{buildroot}%{_libexecdir}/kauth/kde_ufw_plugin_helper
rm -rfv %{buildroot}%{_kf5_datadir}/dbus-1/system-services/org.kde.ufw.service
rm -rfv %{buildroot}%{_kf5_datadir}/dbus-1/system.d/org.kde.ufw.conf
rm -rfv %{buildroot}%{_kf5_datadir}/kcm_ufw/defaults
rm -rfv %{buildroot}%{_kf5_datadir}/polkit-1/actions/org.kde.ufw.policy
%endif


%changelog
* Fri May 26 2023 neoclust <neoclust> 5.27.5-1.mga9
+ Revision: 1958059
- New version 5.27.5

* Mon Apr 10 2023 neoclust <neoclust> 5.27.4-1.mga9
+ Revision: 1951973
- New version 5.27.4

* Wed Mar 15 2023 neoclust <neoclust> 5.27.3-1.mga9
+ Revision: 1949097
- New version 5.27.3

* Tue Feb 28 2023 neoclust <neoclust> 5.27.2-1.mga9
+ Revision: 1945804
- New version 5.27.2

* Wed Feb 22 2023 daviddavid <daviddavid> 5.27.1-1.mga9
+ Revision: 1944816
- New version 5.27.1

* Tue Feb 14 2023 neoclust <neoclust> 5.27.0-1.mga9
+ Revision: 1942083
- New version 5.27.0

* Tue Jan 24 2023 neoclust <neoclust> 5.26.90-1.mga9
+ Revision: 1935780
- New version 5.26.90

* Thu Jan 05 2023 daviddavid <daviddavid> 5.26.5-1.mga9
+ Revision: 1930080
- New version 5.26.5

* Thu Dec 15 2022 neoclust <neoclust> 5.26.4-1.mga9
+ Revision: 1923132
- New version 5.26.4

* Tue Nov 15 2022 neoclust <neoclust> 5.26.3-1.mga9
+ Revision: 1907551
- New version 5.26.3
- New version 5.26.2

* Fri Sep 16 2022 neoclust <neoclust> 5.25.90-1.mga9
+ Revision: 1889263
- New version 5.25.90
- New version 5.25.4

* Tue Jul 26 2022 neoclust <neoclust> 5.25.3-1.mga9
+ Revision: 1872292
- New version 5.25.3
- New version 5.24.5

* Mon Apr 11 2022 neoclust <neoclust> 5.24.4-1.mga9
+ Revision: 1848776
- New version 5.24.4

* Sun Jan 02 2022 neoclust <neoclust> 5.23.4-1.mga9
+ Revision: 1766176
- New version 5.23.4

* Mon Nov 15 2021 neoclust <neoclust> 5.23.3-1.mga9
+ Revision: 1756841
- New version 5.23.3

* Fri Oct 08 2021 neoclust <neoclust> 5.23.0-1.mga9
+ Revision: 1750092
- New version 5.23.0
- New version 5.22.90

* Thu Jul 15 2021 neoclust <neoclust> 5.22.3-1.mga9
+ Revision: 1736186
- New version 5.22.3

* Thu May 06 2021 daviddavid <daviddavid> 5.21.5-1.mga9
+ Revision: 1721771
- New version 5.21.5

* Mon Apr 12 2021 daviddavid <daviddavid> 5.21.4-1.mga9
+ Revision: 1715404
- New version 5.21.4

* Thu Mar 18 2021 daviddavid <daviddavid> 5.21.3-1.mga9
+ Revision: 1704281
- New version 5.21.3

* Wed Mar 03 2021 daviddavid <daviddavid> 5.21.2-1.mga9
+ Revision: 1697451
- New version 5.21.2

* Sun Feb 28 2021 daviddavid <daviddavid> 5.21.1-1.mga9
+ Revision: 1694428
- initial package plasma-firewall

